<?php
    Error_Reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
    setlocale(LC_ALL, 'ru_RU.CP1251');

    $_FILES['Filedata'] = $_FILES['file'];

    session_start();

	define("VALID_CMS", 1);
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
    define('HOST', 'http://' . $_SERVER['HTTP_HOST']);

	include(PATH.'/core/cms.php');

    $inCore = cmsCore::getInstance();
	$inCore->loadClass('page');
	$inCore->loadClass('plugin');
    $inCore->loadClass('user');
    $inCore->loadClass('config');
	$inCore->loadClass('db');
	$inCore->loadClass('upload_photo');

	$inUser = cmsUser::getInstance();
	$inUploadPhoto = cmsUploadPhoto::getInstance();

	if (!$inUser->update()) { $inCore->halt(); }
	if (!$inUser->id) { $inCore->halt(); }

	// Загружаем конфиг плагина
	$plugin = $inCore->loadPluginConfig('p_imperavi');
	$is_watermark = $plugin['Накладывать ватермарк'];
	$medw         = $plugin['Ширина фото'];
	$medh         = $plugin['Высота фото'];

	// Выставляем конфигурационные параметры
	$inUploadPhoto->upload_dir    = PATH.'/images/';
	$inUploadPhoto->medium_size_w = $medw;
	$inUploadPhoto->medium_size_h = $medh;
	$inUploadPhoto->thumbsqr      = false;
	$inUploadPhoto->is_watermark  = $is_watermark;
	$inUploadPhoto->only_medium   = true;
	$inUploadPhoto->dir_medium    = 'photos/';
	// Процесс загрузки фото
	$file = $inUploadPhoto->uploadPhoto();

	if($file){
		$array = array(
            'filelink' => '/images/photos/'.$file['filename']
        );
	}

    echo stripslashes(json_encode($array));

	exit;
