<?php

class p_imperavi extends cmsPlugin {

    public function __construct(){

        parent::__construct();

        $this->info['plugin']           = 'p_imperavi';
        $this->info['title']            = 'Визуальный редактор Imperavi';
        $this->info['description']      = 'Визуальный редактор';
        $this->info['author']           = 'Имперави';
        $this->info['version']          = '8.0.3';
        $this->info['type']             = 'wysiwyg';

        // Настройки по-умолчанию

        $this->config['Накладывать ватермарк'] = 1;
        $this->config['Ширина фото']           = 600;
        $this->config['Высота фото']           = 600;
        $this->events[]                 = 'INSERT_WYSIWYG';

    }

    public function install(){

        return parent::install();

    }

    public function upgrade(){

        return parent::upgrade();

    }

    public function execute($event, $item){

        parent::execute();
		$inUser = cmsUser::getInstance();
		ob_start();
		if (!$item['width']) { $item['width'] = '100%'; }
		if (!$item['height']) { $item['height'] = '300px'; }

		if (!preg_match('/([^0-9])/i', $item['width'])) { $item['width'] = $item['width'].'%'; }
		if (!preg_match('/([^0-9])/i', $item['height'])) { $item['height'] = $item['height'].'px'; }

		$item['name'] = str_replace('[', '', $item['name']);
		$item['name'] = str_replace(']', '', $item['name']);

		echo '<script type="text/javascript" src="/plugins/p_imperavi/imperavi/ru.js"></script><script type="text/javascript" src="/plugins/p_imperavi/imperavi/redactor.min.js"></script><link rel="stylesheet" href="/plugins/p_imperavi/imperavi/redactor.css" type="text/css" />';

        if (!$inUser->is_admin){
            echo "<script type='text/javascript'>
                    $(document).ready(function(){
                        $('#".$item['name']."').redactor({lang: 'ru', imageUpload: '/plugins/p_imperavi/imperavi/scripts/image_upload.php'});
                    });
                </script>";
        } else {
			echo "<script type='text/javascript'>
					$(document).ready(function(){
						$('#".$item['name']."').redactor({lang: 'ru',imageUpload: '/plugins/p_imperavi/imperavi/scripts/image_upload.php'});
					});
				</script>";
		}

		echo '<textarea id="'.$item['name'].'" name="'.$item['name'].'" style="width: '.$item['width'].'; height: '.$item['height'].';">'.$item['text'].'</textarea>';

		return ob_get_clean();

    }


}

?>
